sc::RefBase(3)

NAME
sc::RefBase - Provides a few utility routines common to all Ref template instantiations.

SYNOPSIS

#include <ref.h>

Inherited by sc::Ref.

  Public Methods
virtual ~RefBase ()
virtual RefCount* parentpointer () const=0
Returns the DescribedClass pointer for the contained object.
void require_nonnull () const
Requires that a nonnull reference is held.

  Protected Methods
void warn (const char *msg) const
Print a warning message.
void warn_ref_to_stack () const
Called when stack data is referenced.
void warn_skip_stack_delete () const
Called when the deletion of stack data is skipped.
void warn_bad_ref_count () const
Called when the reference count is corrupted.
void ref_info (RefCount *p, std::ostream &os) const
Print information about the reference.
void ref_info (std::ostream &os) const
void check_pointer () const
void reference (RefCount *)
int dereference (RefCount *)

DETAILED DESCRIPTION

Provides a few utility routines common to all Ref template instantiations.

MEMBER FUNCTION DOCUMENTATION

  void sc::RefBase::require_nonnull () const

Requires that a nonnull reference is held.

If not, the program will abort.

AUTHOR

Generated automatically by Doxygen for MPQC from the source code.